> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/sites/{siteId}/devices > Get Devices for the site ## OpenAPI ````json GET /v1/sites/{siteId}/devices { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/sites/{siteId}/devices": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "siteId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1SitesSiteIdDevicesGetResponse" } } } } }, "description": "Get Devices for the site" } } }, "components": { "schemas": { "v1SitesSiteIdDevicesGetResponse": { "type": "object", "properties": { "device": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2topology_device" } } }, "additionalProperties": false }, "manaV2topology_device": { "type": "object", "properties": { "deviceId": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 }, "hostname": { "type": "string", "example": "example string" }, "location": { "type": "string", "example": "example string" }, "maintenanceMode": { "type": "boolean", "example": true }, "managementIp": { "type": "string", "example": "example string" }, "model": { "type": "string", "example": "example string" }, "role": { "type": "string", "example": "ENUM_VALUE" }, "serialNumber": { "type": "string", "example": "example string" }, "siteId": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 }, "softwareVersion": { "type": "string", "example": "example string" }, "stagingMode": { "type": "boolean", "example": true }, "uptime": { "$ref": "#/components/schemas/googleProtobufDuration" }, "vrrpInterface": { "type": "string", "example": "example string" }, "vrrpState": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "googleProtobufDuration": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````